## ros-indigo-rospeex-audiomonitor 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rospeex_audiomonitor)

find_package(catkin REQUIRED)
find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork REQUIRED)
include(${QT_USE_FILE})
SET(LIBS ${QT_LIBRARIES})
SET(APP_NAME audio_monitor)

catkin_package(
  LIBRARIES
  CATKIN_DEPENDS
  DEPENDS
)

include_directories(${CMAKE_CURRENT_BINARY_DIR} /usr/include/QtMultimediaKit /usr/include/QtMobility include/audio_monitor)
file(GLOB QT_FORMS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.ui)
file(GLOB QT_RESOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} resources/*.qrc)
file(GLOB_RECURSE QT_MOC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} FOLLOW_SYMLINKS include/*.h)

QT4_ADD_RESOURCES(QT_RESOURCES_CPP ${QT_RESOURCES})
QT4_WRAP_CPP(QT_MOC_HPP ${QT_MOC})
QT4_WRAP_UI(QT_FORMS_HPP ${QT_FORMS})

file(GLOB_RECURSE QT_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} FOLLOW_SYMLINKS src/*.cpp)

add_executable(${APP_NAME} ${QT_SOURCES} ${QT_RESOURCES_CPP} ${QT_FORMS_HPP} ${QT_MOC_HPP})
target_link_libraries(${APP_NAME} ${QT_LIBRARIES} ${ROS_LIBRARIES} ${catkin_LIBRARIES} QtMultimediaKit)

catkin_install_python(PROGRAMS
  scripts/audio_monitor_epd
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS ${APP_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rospeex-audiomonitor (3.0.1-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 18 Apr 2017 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (3.0.0-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 04 Apr 2017 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.15.4-1trusty) trusty; urgency=high

  * Mod rospeex-audiomonitor size

 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 08 Feb 2017 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.15.3-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Mon, 30 Jan 2017 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.15.2-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 12 Jan 2017 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.15.1-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 11 Jan 2017 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.15.0-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 06 Dec 2016 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.14.7-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 29 Mar 2016 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.14.6-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 13 Jan 2016 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.14.5-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 13 Jan 2016 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.14.4-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Mon, 30 Nov 2015 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.14.3-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Mon, 30 Nov 2015 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.14.2-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 25 Nov 2015 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.14.1-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 17 Sep 2015 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.14.0-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 17 Sep 2015 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.13.0-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Sun, 13 Sep 2015 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.12.6-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 23 Apr 2015 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.12.5-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Mon, 02 Mar 2015 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.12.4-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 18 Feb 2015 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.12.3-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 12 Feb 2015 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.12.2-1trusty) trusty; urgency=high

  * fix #67

 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 06 Jan 2015 15:00:00 -0000

ros-indigo-rospeex-audiomonitor (2.12.1-1trusty) trusty; urgency=high

  * fix package.xml
  * modify directory structure
  * fix comment
  * modify package.xml
  * fix issue #52
  * modify lanch files, and rospeex_web audiomonitor
  * upadte audio_monitor_epd script
  * fix install script
  * fix filenames / add audiomonitor
  * change rospeex/msgs directory
  * add rospeex_audiomonitor

 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 25 Dec 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rospeex-audiomonitor
Section: misc
Priority: extra
Maintainer: Komei Sugiura <komei.sugiura@nict.go.jp>
Build-Depends: debhelper (>= 9.0.0), libqt4-dev, qtmobility-dev, ros-indigo-catkin
Homepage: http://rospeex.org
Standards-Version: 3.9.2

Package: ros-indigo-rospeex-audiomonitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev, qtmobility-dev
Description: This package provides a stable waveform monitor of rospeex's (recommended).
 This package requires an external library: qtmobility-dev.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rospeex-audiomonitor//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
